RPC.YPPASSWDD(8)

NAME
rpc.yppasswdd - YP update password file daemon

SYNOPSIS
rpc.yppasswdd [-nogecos] [-nopw] [-noshell] [-d directory] [-m arg ...]

DESCRIPTION
rpc.yppasswdd must be running on the YP master server to allow users to change information in the password file. If the user needs to change his password this is normally done with a program called yppasswd. This program doesn't exist in OpenBSD but is integrated into passwd(1). passwd will automatically determine which password database should be modified. To force a change of a YP password when a local one also exists, use passwd -y.

Other user information can be changed with chpass(1).

The options are as follows:

-d directory
    Use the specified directory to get at the password-related files instead of /etc.

-m arg ...
    Pass the specified arguments to make(1) when invoking it in /var/yp to rebuild the passwd maps.

-nogecos
    Don't allow changes of the gecos field in the passwd file.

-nopw
    Don't allow changes of the password in the passwd file.

-noshell
    Don't allow changes of the shell field in the passwd file.

FILES
/etc/passwd
/etc/master.passwd

SEE ALSO
make(1), securenet(5), ypserv.acl(5), Makefile.yp(8), yp(8), ypbind(8)

AUTHORS
Mats O Jansson <moj@stacken.kth.se>